/*
- 파일명: sstt-script.js
- 위치: /assets/js/sstt-script.js
- 기능: Scroll to Top 버튼 동작 관련 스크립트
- 작성일: 2025-03-12
- 수정일: 2025-03-12
*/

jQuery(document).ready(function($) {
    // 요소 선택
    var scrollToTopBtn = $('#sstt-button');
    
    // 페이지 로드 시 초기 상태 확인
    checkScrollPosition();
    
    // 스크롤 이벤트
    $(window).scroll(function() {
        checkScrollPosition();
    });
    
    // 스크롤 위치 확인 함수
    function checkScrollPosition() {
        if ($(window).scrollTop() > 200) {
            scrollToTopBtn.addClass('visible');
        } else {
            scrollToTopBtn.removeClass('visible');
        }
    }
    
    // 버튼 클릭 이벤트
    scrollToTopBtn.click(function(e) {
        e.preventDefault();
        $('html, body').animate({
            scrollTop: 0
        }, 500);
    });
});